package cn.com.countrygarden.bi.main.service.mediaResource;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.dto.AdvertisingResourcesDto;
import cn.com.countrygarden.bi.main.dto.mediaResource.MediaUnit;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.mediaResource.AdvertisingResources;

public interface AdvertisingResourcesService extends Service<AdvertisingResources>{

	Map<String, Object> findPage(String accessToken, AdvertisingResourcesDto dto);

	Result saveOne(String accessToken, AdvertisingResources po, String fileDirectory, Result rt);

	Result del(AdvertisingResourcesDto po, String accessToken);

	Object editState(AdvertisingResourcesDto dto);

	List<Map<String, Object>> findAdvertising(String accessToken, AdvertisingResourcesDto dto);

	Result exportIn(String accessToken, Result rt, MultipartFile file) throws IOException;

	Result singleUpload(Result rt, AdvertisingResourcesDto dto, MultipartFile file) throws IOException;

	List<Map<String,Object>> viewAdjunct(AdvertisingResourcesDto dto);

	String getCommAddress(AdvertisingResourcesDto dto);

	boolean delFile(Map<String, String> map);

	Map<String, Object> findOne(AdvertisingResources dto);

	Map<Integer, String> findMediaType();

	List<MediaUnit> findMediaForm(String key);


}
